/****************************************************************
 *  Start E-Commerce Layers                                    		
 ****************************************************************/
 
/* This option makes div widths and padding calculations in Firefox work the same as IE */
DIV {
	-moz-box-sizing:border-box;
	box-sizing:border-box;
	-webkit-box-sizing:border-box;
	margin:0;
	padding:0;
}
 
#session_timeout_div {
    float: left;
    white-space: nowrap;
    padding-left: 10px;
}
 
#userinfo{
	text-align: right;
	z-index: 1;
	padding-right: 10px;
}

#menu {
	width: 100%;
	margin: 0 auto;
	padding: 0px;
	padding-bottom: 10px;
	margin-top: -25px;
	z-index: 99;
}

#menu table td {
	padding-top: 10px;
	padding-bottom: 10px;
}

#menu ul {
	list-style: none outside none;
    margin: 0;
    padding: 0;
}

#menu li {
    display: inline;
    font-weight: bold;
	padding-left: 5px;
    padding-right: 8px;
    background: none repeat scroll 0 0 transparent;
}

#menu a {
	color: tan;
	font-size: 13px;
	text-decoration: none;
}

#menu a:hover {
	text-decoration: underline;	
}

#srvletarea {
	min-height: 450px;
    height:auto !important;
    height: 450px;  
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 175px;
    padding-top: 10px;
}

/* Use this to undo styles that don't make sense for popup windows */
#srvletarea.srvletpopup {
	min-height: 0px;
	height: auto;
	width: auto;
}

#srvletarea td { padding: 3px 4px 3px 4px; } 
#srvletarea th { padding: 3px 4px 3px 4px; } 

#srvletarea #adpage table.catalogTable td, #srvletarea #adpage table.catalogTable th {
	font-size: 11px;
}

#BGDT, #ENDT {
	width: 132px;
}
 		 
/****************************************************************
 * 	End E-Commerce Layers                                    		
 ****************************************************************/

/****************************************************************
 * 	jQuery related styles                                    		
 ****************************************************************/

#srvletarea textarea, #srvletarea input[type=text], #srvletarea input[type=password] {
	background-color: #efefef;
	-webkit-border-radius: 4px; -moz-border-radius: 4px; border-radius: 4px; 
 	padding: 3px;
	border: 1px solid #ccc;
}

#srvletarea input[type=button], #srvletarea input[type=submit], #srvletarea input[type=reset] {
    font-size: 15px;
    padding: .4em .6em;
}

div.ui-dialog {
 font-size: 12px;
}

img.ui-datepicker-trigger:hover {
	cursor:pointer;
}

img.ui-datepicker-trigger {
	margin-left: 5px;
}
 
#ui-datepicker-div {
	font-size: 11pt;
} 	 
 		
#ui-datepicker-div.ui-datepicker table.ui-datepicker-calendar thead tr th {
	background-color: transparent;
	color: black;
} 		

/* For image hover tooltip window */
.ui-tooltip.ui-widget.ui-corner-all.ui-widget-content { 
    -moz-box-sizing:content-box;
    box-sizing:content-box;
    -webkit-box-sizing:content-box;
}
 		
/****************************************************************
 * 	End jQuery related styles                                   		
 ****************************************************************/		

 /**********************************************************
 Policy Page  - Modify  to center shortcut link as needed
 ************************************************************/

body {

}

body.bprint{
	font-size: 9pt;
	background-color: #FFFFFF;
	background-image: none;
	padding-left: 10px;
}

h1 { }
h2 { }
h3 { }
h4 { }

h3.reminderItem, p.reminderItem {
	color: red;
}

table.nav {
	background-color: #525152;
	border: 1px solid #000000;
}

body.MinimumOrderWarning {
	background-color: #FFFFCC;
}

a.nav {
	font-size: 11px; 
	font-weight: bold; 
	text-decoration: none;
	color: White;
}
a.nav:hover {
	text-decoration: underline;
}

a {

}

.superscript {font-size: smaller; vertical-align:super;}

p.small {
	font-size: 8pt;
}

.notebox {
	border: 1px solid #CD0A0A;
	/* -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; */ 
	color: #CD0A0A;
	padding: 5px;
	margin: 10px;
	width: 80%;
}

input.submit, input.submit_short, input.submit_long, input.submit_verylong, input.submit_medium, input.submitCancel, input.submitUpdate, input.submitReturn, input.submitCheckout, input.profMaintSubmit, input.printPreview, input.downloadOrder, input.submitOrder  {
	cursor: pointer;
}
input.submit:hover, input.submit_short:hover, input.submit_long:hover, input.submit_verylong:hover, input.submit_medium:hover, input.submitCancel:hover, input.submitUpdate:hover, input.submitReturn:hover, input.submitCheckout:hover, input.profMaintSubmit:hover {
	cursor: pointer;
}

/***********************************************************************
* Use orderFlow to apply a style to all buttons that lead through
* a completed order: View Shopping Cart, Checkout, etc.
************************************************************************/
input.orderFlow{
	border: 1px solid #00cf00;
}

/*
* close is used on the close link of popup windows.  These are usually the same
* but can be different...if you want to give a special color to the "add to profile
* button.
*/
a.close {
	background-color: #525152;
	border: 1px solid #000000;
	color: #FFFFFF;
	text-decoration: none;
	padding: 2px;
	FONT-FAMILY: verdana, helvetica, tahoma, arial, sans-serif;
	font-size: 8pt;
	width: 140px;
 	text-align: center;
}

a.submit, a.submitRemove {
	background-color: white;
	border: 1px solid #333333;
	color: black;
	text-decoration: none;
	font-size: 13px;
	min-width: 122px;
 	text-align: center;
	margin-right: 2px;
}

a.submit:hover {
	color: #009900;
}

a.submitRemove:hover {
	color: #990000;
}

li.double {
	padding-bottom : 15px;
}

.shaded {
	background: #EEE;
}

.profileshaded{
	background: #EEE;
}

.pproholiday{
	font-size: 9px;
	margin: 4px;
}

.pproholiday img {
	padding-right: 3px;
}

#csh_message {
	width: 348px;
	margin: 2px;
}

.aditem {
	background: #FFFFCC;
}

.noprint {
}

p, td, th {
	font-size: 11pt;
}

td.regularheader {
	background-color: #525152;
}

th {
	background-color: #525152; 
	color: #ffffff; 
	text-align: left;
}

th.right {
	text-align: right;
}

#srvletarea table.week td.today, #srvletarea table.week td.firstday, #srvletarea table.week td.lastday, #srvletarea table.week td.day, #srvletarea table.week td.weeklinks {
	padding: 0px;
}

input.highlight, .highlight {
	background: #FFFF00;
}

/* Calendar */

#calendarDiv td.day {
	padding: 0px;
}	 

#calendarDiv table.ui-widget tbody tr td.day {
	height: 100px;
	width: 80px;
	vertical-align: top;
}
#calendarDiv table.ui-widget tbody tr td.weeklinks {
	padding: 0px;
	width: 10%;
}
#calendarDiv a {
	text-decoration: underline;
}
#calendarDiv span.weekly {
	font-size: 10px;
	font-weight: bold;
	margin: 0 0 2px 0;
	display: block;
	padding: 3px;
}
#calendarDiv span.daynumber {
	font-size: 12px;
	font-weight: bold;
	text-align: right;
	margin: 0 0 2px 0;
	display: block;
	padding: 2px;
}
.calendarside {
	FONT-WEIGHT: bold; FONT-SIZE: 10px; 
	padding-left: 3px;
	padding-bottom: 2px;
}
.pproholiday {
	FONT-SIZE: 10px;
}
.calendarnav {
}

/************profile maintenance *************************/
#profile_lst.connectedSortable, #catalog_lst.connectedSortable {
    width: 300px;
    height: 400px;
    overflow: hidden;
    overflow-y: scroll;
    padding: 0px;
    border: 2px solid #333;
}

#profile_lst ul, #catalog_lst ul {
	padding: 0px;
}
	
#profile_lst li, #catalog_lst li {
	padding: 2px;
	border: 1px solid #ccc;
	list-style-type: none;
}

#profile_lst li:hover, #catalog_lst li:hover {
    cursor: pointer;
}

#profile_lst li.ui-sortable-helper, #catalog_lst li.ui-sortable-helper {
    cursor: move;
}

.pm-trash {
    width: 270px;
    height: 25px;
    border: 1px solid black;
    padding: 1px;
    padding-left: 4px;
    margin-bottom: 28px;
}

.pm-trash img {
	vertical-align: middle;
}

.maintButtonPosition{
	margin-left: 200px;
}
.catalog_profmaint_button {
    width: 120px;
}

/**********web admin stuff*********************************/
.thlink {
	color: #FFFFFF;
}
.admin {
	color: #000000;
}

/***********core item price increase/decrease***************/
span.priceIncrease {
	font-size: 13pt;
 	text-align: center;
	background: none;
	font-weight: bold;
	color: #0066FF;
	vertical-align: middle;
}
span.priceDecrease {
	font-size: 13pt;
 	text-align: center;
	background: none;
	font-weight: bold;
	color: #8C007B;
	vertical-align: middle;
}

/***********Tooltip Window***************/
.iTt {
	FONT-SIZE:8px;
	FONT-STYLE:normal;
	FONT-WEIGHT:normal;
	COLOR: #006400;
	BORDER-RIGHT:black 1px solid;
	BORDER-TOP:black 1px solid;
	BORDER-LEFT:black 1px solid;
	BORDER-BOTTOM:black 1px solid;
	PADDING:2px;
	BACKGROUND-COLOR: #FFFFE0;
}
.iTt.A:link {
	text-decoration: none; 
	color: #00008b;
}

/**********Order Add Ons / Warning*******************/
.addonmsg, .alert { 
	color: red;
	font-size: 12px;
	font-weight: bold 
}
/********* Expired Pricing Message / No Sales Order No ******/

.noprices, .nosono {
	background-color: #FFE8E8;
	border: 2px solid Red;
	margin: 10px 20px 10px 20px;
	padding: 5px 5px 5px 5px;
}

/********* Coupon Codes ******/
.coupon_message {
    background-color: #ffe;
    border: 1px solid black;
    margin-top: 5px;
    margin-bottom: 5px;
    padding: 5px 5px 5px 5px;
}

/*********Ad and Push List Indicators********************/
.adsuper, .pushsuper, .unitsuper, .subssuper, .brokensuper, .secondarypricelistsuper, .remindersuper {
	padding-left: 2px; 
	padding-right: 2px; 
	font-size: 9px; 
	color: #ff0000;  
	vertical-align:super; 
	font-weight:bold;
}
.pushsuper {
	color: #00ff00;
}
.adprice {
	color: #ff0000;  
}
.subssuper {
	color: orange;
}
.remindersuper {
	color: teal;
}

/******* Use generalTable class instead of login as needed****/
.recapFooter{border:none;width:100%;}

.cartTable, .generalTable, .login, .pricelistrequest, .catalogTable, .orderDetailTable, .recapTable, .creditDetailTable, .reportsTable, .checkoutTable {
	border: 1px solid #000000;
	width: 100%;
}
#catsearchTable, .recvTable {
	width: 100%;
}
.orderDetailTable {
}
.orderDetailTable th {
}
.orderDetailTable tbody tr.shaded {
}
.generalTable{
	width:50%;
}
.catalogTable {
	border-bottom: 0px;
}

.catalogTableMiddle {
	border-left: 1px solid #000000;
	border-right: 1px solid #000000;
	border-bottom: 0px;
	width: 100%;
}

.catalogTableTop {
	border-top: 1px solid #000000;
	border-left: 1px solid #000000;
	border-right: 1px solid #000000;
	border-bottom: 0px;
	width: 100%;
}

/* min width for browse catalog page number links (doesn't work in IE) */
th.pagesection div input.pagelink {
	min-width: 20px;
}

.reportsTable th {
	width: 120px;
}
.itemnocol {
	width: 75px;
}

.desccol {
	padding-left: 42px;
}

.checkoutTable, .cartTable {
	border: none;
}
td.buttonCell{
	text-align: center;
}

table.checkoutTable td, table.checkoutTable th {
	text-align: left;
} 

table.recapTable td, table.recapTable th {
}
td.label{
	width: 30%;
}

#srvletarea table.orderDetailTable{
	width:100%;
}
.hidden {
	display: none;
	visibility: hidden;
}

.catalogProdImage { 
	display: block;
	flex-grow: 1;
	margin-right: 5px;
	width: 34px;
	background: #FFF;
	position: relative;
	border: 1px solid #ccc;
	float: left;
}

.catalogProdImageInner {
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	overflow: hidden;
	height: 32px;
	width: 32px;
}

.catalogProdImageOuter {
	width: 35px;
	height: 30px;
	padding: 0px;
	margin: 0px;
	vertical-align: middle;
	display: inline-table;	
}

.catalogProdNotes {
	margin-left: 40px;	
}

/***************************************
* Inner table is used within cartTable
*****************************************/
#srvletarea table.innerTable tbody tr th {
	border: 0px;
	padding: 0px;
	width:100%;
}

/******* Product units link style ****/
a.submitUnits {
	color: black; 
	cursor: pointer; 
	font-size: 7pt; 
	font-weight: bold; 
	text-align: center;
	width: 70px;
}

a.submitUnits {
	color: black; 
	cursor: pointer; 
	font-weight: bold; 
}

/******* Credit Card stuff *******/
th.credit {
	background-color: #CCCCCC;
	color: #000000;
}

/******************************************
* Handheld
*******************************************/
/*** Uncomment next line ***/
/* .screen_only{display:block;} */
/*** Comment next line ***/
.handheld_only{display:none;}

/** Ad Items on Calendar Page **/
table.specials td {
	font-size: 11px;
}
table.specials {
	width: 100%;
}

.tableconcls {
	height: 300px; 
	overflow: scroll; 
}

.orderDivider {
	height: 6px; 
	background: #CCCCCC;
}

.dyncolumn {
	padding-right: 6px;
}

/*****************************************************************
* Print Preview page
*****************************************************************/
body.bprint {
	font-size: 7pt;
} 

body.bprint p, body.bprint th, body.bprint td{
	font-size: 7pt;
}

/*****************************************************************
* Login page / Forgotten password
*****************************************************************/
a.forgotpasslink {
	font-size: 8pt;
}

/************************************
* Contact Us
**************************************/
#FormArea td{
	width: auto;
	padding: 3px;
	vertical-align:top;
}
#FormArea table{
	margin-bottom:10px;
}
#ContactUs input[type=submit]{
	margin-left:200px;
}
#ContactUsAlert, .alertMessage{
	padding:10px;
}
#ContactUsAlert{
	margin-left: 25px;
	width:425px;
	filter:shadow(color:gray, strength:3, direction:135);
}
#ContactUsAlert .alertMessage{
	color: blue;
	background-color: #ffffce;
	border: 1px solid black;
	font-size: 15px;
}
/******************************************
* Order Item Exceptions
*******************************************/
#itemExceptions, #cutoffException {
	margin-left: 5px;	
	margin-right: 5px;	
	margin-bottom: 5px;	
	width:auto;
	filter:shadow(color:gray, strength:3, direction:135);
}	
#itemExceptions h3, #cutoffException h3 {
   margin-top:3px;
}	 
#itemExceptions .itemExceptionMessage, #cutoffException, .cutoffExceptionMessage {	 
	padding:5px;
	color: #a51818;
	background-color: #ffffce;
	border: 1px solid black;
}
/******************************************
* Credits
*******************************************/
.credit {
	color: red;
	font-weight: bold;
}
.creditDetailTable th { }

/**********************************************
* Order Summary/Recap
***********************************************/
.review{
	color: navy;
	background-color:#FFFFCC;
	font: 12px verdana, helvetica, tahoma, arial, sans-serif; 
	font-weight: normal;
	padding: 10px;
	border: 2px solid red;
}

/**************************************************
* Calendar page related
***************************************************/
.calhot {
	display: block;
	flex-grow: 1;
	margin-right: 3px;
	width: 173px;
	background: #FFF;
	margin-bottom: 5px;
	position: relative;
	vertical-align: top;	
}

.hotimg {
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	overflow: hidden;
	height: 128px;
} 

/**************************************************
* Calendar / Policy Page Announcements
***************************************************/
#calendar_announcement{
	margin: 20px 0px;
}
#calendar_announcement table{
	width:100%;
}
#calendar_announcement th{
}
#calendar_announcement td{

}
#calendar_announcement table{
}
.announcements{
	border: 1px solid #ddd; 
	padding: 10px 5px 10px 5px;
}

/*******************************************************************
* Edit Order
**********************************************************************/
#addon_page_note{ display:block; margin-top: 5px; margin-bottom: 5px; width:60%; margin-left: 0px; }
input.editOrderButton{}
input.editOrderButtonDisabled{background-color:#eaeaea; color:#b5b5b5;}
input.addToOrderButton{}

#simplemodal-container.simplemodal-container[style]{ background-color:#ffffd2 !important; color:#000000 !important; height: 200px !important; width: 500px !important; }
#simplemodal-container h3{ color:#4a5910;}
#simplemodal-container input.submit{background-color:#2159a5; color:white; font-size: larger;}
#simplemodal-container input.simplemodal-close{}

/**********************************************
 * Login page
 **********************************************/
.logincustmess {
	font-size: 16px;
	font-weight: bold;
}

.insttext { 
	font-size: 7pt; 
	color: black;
}

table.ptagmaintable {
	width: 200px;
	border: 1px solid black;
}

table.ptagbuttontable input {
	width: 75px;
}

/*************************************************
 * SRP UPDATE
 ************************************************/
.srp_upcclass{
	padding-top:5px;
}
.srp_email{
	width:30em;
}
table.srp_recaptable{
	border-collapse:collapse;
	border-style:solid;
	border-width:1px;
}

table.srp_recaptable th, table.srp_recaptable td{
	border-style:solid;
	border-width:1px;
}

table.srp_recaptable td{
	vertical-align:top;
}
table.srp_recaptable th{
	width:3em;
}
table.srp_recaptable th.desc{
	width:20em;
}
table.srp_recaptable th.srp{
	width:10em;
}

.noProfileMsg {
	color: white;
}

/*************************************************
 * Price Range Text
 ************************************************/

table#pricerangekey {
	width: 50%;
	border: 1px solid black;
}

table#pricerangekey td, table#pricerangekey th {
	font-size: 8pt;
}

table#pricerangekey .firstcol {
	background-color: #ddd;
}

/* Ad based order (support for CTABCO "Ad based order checkout method") */
.submitCheckout.method-O {
	display: none;
}
.submitReview.method-C {
	display: none;
}
/**/

/* Self Serve Menu Styles */
#selfServeMenu {
    margin-left: auto;
    margin-right: 50px;
}

#selfServeMenu-toggle {
	background: transparent;
	border: 0;
	margin: 10px 0px;
	outline: none;
	font-size: 16px;
	box-shadow: none;
	height: 30px;
    width: 450px;
}

.dropdownWrapper {
    position: relative;
    height: 0;
    overflow: hidden;
}

#selfServeMenu-toggle:hover .dropdownWrapper {
    height: 315px;
    width: 460px;
}

#selfServeMenu-toggle:hover #selfServeMenu-dropdown {
    top: 0px;
}

#selfServeMenu-button {
    width: 100%;
    text-align: right;
    font-size: 17px;
    font-weight: bold;
}

#selfServeMenu-button::after {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 0.255em;
    vertical-align: 0.255em;
    content: "";
    border-top: 0.3em solid;
    border-right: 0.3em solid transparent;
    border-bottom: 0;
    border-left: 0.3em solid transparent;
    color: #676767;;
}

#selfServeMenu-dropdown {
    color: #676767;
    display: flex;
    flex-direction: column;
    border: 0.5px solid darkgray;
    border-top: none;
    background-color: white;
    position: relative;
	top: -295px;
    z-index: 1;
    transition: 0.5s;
    text-transform: upperCase;
    width: 267px;
    margin-left: auto;
}

.selfServeMenu-dropdown-item {
    width: fit-content;
    text-align: center;
    margin: auto;
    transition: 0.5s;
    padding: 5px;
    font-size: 14px;
    font-weight: bold;
    color: #676767;
    text-decoration: none;
}

.selfServeMenu-dropdown-item .label {
    color: #676767;
    font-size: 14px;
    font-weight: bold;
    color: #676767;
}

.selfServeMenu-dropdown-item:hover {
	color: #474747;
} 

.selfServeMenu-dropdown-item:hover .label {
	color: #474747;
	text-decoration: underline;
}

.selfServeMenu-dropdown-item ul li a {
    padding: 3px;
    color: #676767;
    text-decoration: none;
}

#selfServeMenu-dropdown hr {
    margin: 10px 5px;
}

#selfServeMenu-placeAnOrder {
    padding-top: 15px;
}

#selfServeMenu-signOut {
    padding-bottom: 15px;
}

#orders-toggle, #reporting-toggle, #account-toggle {
    display: flex;
    height: 40px;
    text-align: center;
    width: 265px;
    margin: unset;
}

#orders-toggle {
	padding: 10px 60px ;
}

#reporting-toggle {
	padding: 10px 32px ;
}

#account-toggle {
	padding: 10px 80px ;
}

#orders-toggle .leftArrow {
    position: relative;
    right: 48px;
}

#reporting-toggle .leftArrow {
	position: relative;
    right: 20px;
}

#account-toggle .leftArrow {
    position: relative;
    right: 69px;
}

#orders-dropacross, #reporting-dropacross, #account-dropacross {
	display: none;
    transition: 1s;
    color: #676767;
    background: white;
    border: solid 0.5px darkgray;
	position: absolute;
    width: 183px;
    right: 265px;
    padding: 0px;
    /* IE HACK: Hide bullets on IE as they cannot be styled properly. This is a 1x1 transparent image. 'unset' not supported in IE */
    list-style-image: url(data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7);
    list-style-image: unset;
}

#orders-dropacross a, #reporting-toggle a, #account-toggle a {
    transition: 0.5s;
}

#orders-toggle a:hover, #reporting-toggle a:hover, #account-toggle a:hover {
    color: #474747;
    text-decoration: underline;
}

#orders-toggle:hover #orders-dropacross {
	display: block;
}

#reporting-toggle:hover #reporting-dropacross {
	display: block;
}

#account-toggle:hover #account-dropacross {
    display: block;
}
/* end self serve menu styles */

/* Shopping cart indicator */
.cart-wrapper {
	color: #666;
}
.cart-wrapper .item-num {
	background-color: #d4656b;
}
.cart-wrapper:hover {
	color: #000;
}
.cart-wrapper:hover .item-num {
	background-color: #CE1F28;
}
.cart-wrapper {
	display: inline-flex;
	flex-flow: row nowrap;
	margin: 0 1.5em;
	font-size: 11pt; /* Change this property ONLY to scale up/down */
	cursor: pointer;
}
.cart-wrapper > .cart-text {
	font-size: 1em;
}
.cart-wrapper > .cart-icon {
	font-size: 0.8em;
}
.cart-wrapper > .cart-text *,
.cart-wrapper > .cart-icon * {
	font-size: inherit;
}
.cart-wrapper > .cart-text {
	display: flex;
	flex-flow: column nowrap;
	justify-content: center;
	margin-left: 0.5em;
}
.cart-wrapper > .cart-icon {
	margin: auto;
	padding-right: 0.5em;
	position: relative;
	vertical-align: middle;
	text-align: center;
}
.cart-wrapper > .cart-icon > svg > path {
	fill: currentColor;
}
.cart-wrapper .item-num {
	width: 1.5em;
	height: 1.5em;
	position: absolute;
	top: -0.5em;
	right: 0;
	border-radius: 50%;
	color: #ffffff;
	background-color: #d4656b;
	flex-flow: row nowrap;
	justify-content: center;
	align-items: center;
}
.cart-wrapper .item-num > span {
	line-height: 1.5em;
	height: 1.5em;
}
.cart-wrapper > .cart-text p {
	padding: 0 .2em;
	margin: auto 0 auto auto;
}
/**/

/* warehouse filtering styles  */
table.dataTable thead th div.DataTables_sort_wrapper {
    margin-left: auto;
    margin-right: 15px;
    width: fit-content;
}

#search_results {
	margin-top: 25px;
}
